Bug 30131 - All up2dates in xwindows just do up2date
All up2dates in xwindows just do up2date
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-28 22:49 EST by Mike Chambers
Modified: 2015-01-07 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 12:33:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2001-02-28 22:49:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


In Gnome or KDE 2.1, any up2date shortcut/icon just points to the up2date 
executable.  If you click on the configuration part, it up2dates, doesn't 
let you configure.  RH Network shortcut does the same thing.

Reproducible: Always
Steps to Reproduce:
1.Click on Up2date
2.Click on Up2date Configuration
3.Click on RH Network Registration
	

Actual Results:  It tries to up2date instead of the function it's suppose 
to do.

Expected Results:  Up2date should just up2date you.
Up2date config should let you configure how you want to up2date.
RH Network Registration should let you register for the first time.

Gnome is the one that came with the beta release.  KDE is 2.1 and was 
updated via from kde.org web site but through the Redhat sub directory RPM 
builds.
Comment 1 Mike Chambers 2001-02-28 23:04:47 EST
The configuration does work via command line /usr/sbin/up2date --configure and 
the menu comes up.

It's just the shortcuts in gnome and kde that don't.
Comment 2 Adrian Likins 2001-03-01 11:40:28 EST
found and fixed, should be fixed in the next version. Was checking
for the wrong argv[0] value.
Comment 3 michaelc 2001-03-01 11:56:32 EST
Ok thanks, will wait for next update.
Comment 4 Glen Foster 2001-03-02 12:33:09 EST
We need to fix this before the very next build
Comment 5 Preston Brown 2001-03-02 13:15:11 EST
2.4 and later.

Note You need to log in before you can comment on or make changes to this bug.